Bug 607064 - RFE: IPv6 transport for OpenVPN
RFE: IPv6 transport for OpenVPN
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openvpn (Show other bugs)
15
All Linux
low Severity low
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2010-06-23 01:00 EDT by Matt Bernstein
Modified: 2012-08-07 15:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:41:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Bernstein 2010-06-23 01:00:35 EDT
Description of problem:
Some of my users would like use our IPv4 OpenVPN over an IPv6 internet.

Version-Release number of selected component (if applicable):
2.1.1-2.fc13

How reproducible: always

Additional info:
- patch available at <http://github.com/jjo/openvpn-ipv6/downloads>
- other distros (Debian,Gentoo IIRC) are already carrying this patch
- chicken & egg problem with getting the patch included upstream
  (they want to see wider testing first)
- have been running the patch on F12 for months without issues
Comment 1 Matt Bernstein 2010-07-03 01:37:49 EDT
Looks like this is a dupe of bug 190165, but I don't appear to be able to re-open that one so I'm marking this one instead as blocking bug 195271.
Comment 2 Tore Anderson 2010-07-03 13:28:47 EDT
Seconded, IPv6 transport would be great to have!

openvpn-2.1.1-ipv6-0.4.11.patch.gz from the site above applied cleanly to the F13 SRPM, and it compiled just fine, too.  I tested it from my IPv6-only workstation by connecting to my employer's OpenVPN server using --proto udp6 and it worked perfectly.  (The server is on IPv4, but my workstation is behind a NAT64 so from the client's point of view it was all IPv6.)

Tore
Comment 3 Matt Bernstein 2010-12-08 01:59:39 EST
Moving to F14. The patch still works, but I'd rather not have to carry it.
Comment 4 Matt Bernstein 2011-06-02 15:54:11 EDT
Moving to F15. The patch still works, even against the 2.2.0 which appeared in rawhide recently..

Is anybody listening? It's been almost a year.
Comment 5 YANG Xudong 2011-11-11 02:51:32 EST
Hope somebody could come and fix this. Simply applying a patch doesn't sound too hard anyway...
Comment 6 Fedora End Of Life 2012-08-07 15:41:54 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.